Package org.eclipse.ecf.core.sharedobject

## Interface ISharedObjectTransactionParticipantsFilter

    public interface ISharedObjectTransactionParticipantsFilter

Filter for determining transaction participants

See Also:
  `ISharedObjectContainerTransaction`

### Method Summary

All Methods Instance Methods Abstract Methods
`ID[]` `filterParticipants​(ID[] currentGroup)` Return ID[] of participants to participate in transacton.

### Method Detail

#### filterParticipants

    ID[] filterParticipants​(ID[] currentGroup)

Return ID[] of participants to participate in transacton.

Parameters:
  `currentGroup` - the current set of container group members
Returns:
  intended participants in transaction. If null is returned, all group members will be included in transaction.